# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.591   -> 1.592  
#	drivers/usb/media/se401.c	1.17    -> 1.18   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/05/22	greg@kroah.com	1.592
# USB se401, remove urb->next usage
# 
# Removed the use of the next field due to the change in the urb structure.
# --------------------------------------------
#
diff -Nru a/drivers/usb/media/se401.c b/drivers/usb/media/se401.c
--- a/drivers/usb/media/se401.c	Wed May 22 13:52:09 2002
+++ b/drivers/usb/media/se401.c	Wed May 22 13:52:09 2002
@@ -632,7 +632,6 @@
 	se401_sndctrl(1, se401, SE401_REQ_CAMERA_POWER, 0, NULL, 0);
 
 	for (i=0; i<SE401_NUMSBUF; i++) if (se401->urb[i]) {
-		se401->urb[i]->next=NULL;
 		usb_unlink_urb(se401->urb[i]);
 		usb_free_urb(se401->urb[i]);
 		se401->urb[i]=NULL;
@@ -1506,7 +1505,6 @@
 	wake_up_interruptible(&se401->wq);
 
 	for (i=0; i<SE401_NUMSBUF; i++) if (se401->urb[i]) {
-		se401->urb[i]->next = NULL;
 		usb_unlink_urb(se401->urb[i]);
 		usb_free_urb(se401->urb[i]);
 		se401->urb[i] = NULL;
